=== debian/changelog ===
ros-indigo-oculus-rviz-plugins (0.0.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David Gossow <dgossow@willowgarage.com>  Thu, 03 Sep 2015 16:43:46 -0000
